<template>
  <section class="section">
    <div class="columns is-mobile">
      <div class="column is-half is-offset-one-quarter">
        <section>
          <b-field label="Nombre de usuario"
                  type="is-success"
                  <b-input id="username" v-model="username" placeholder="Nombre de usuario" maxlength="30"></b-input>
              </b-field>
              <b-field label="Contraseña"
                  type="is-warning"
                  <b-input id ="password" v-model="password"  placeholder="Contraseña" type="password" maxlength="30"></b-input>
              </b-field>
              <b-button type="is-dark" outlined v-on:click="logUser">Log In</b-button>
        </section>
      </div>
    </div>
  </section>
</template>

<script>
import {mapActions} from 'vuex'

export default {
  name: 'Login',
  data() {
    return {
      username: '',
      password: ''
    }
  },
  methods: {
    ...mapActions(['login']),
    logUser() {
      const username = this.username
      const password = this.password
      const router = this.$router
      this.login({username, password, router})
    }
  }
}
</script>

<style lang="scss">
  .section {
    margin:auto;
  }
</style>
